Summary: e-smith boot image required for re-installation diskette
%define name e-smith-boot-image
Name: %{name}
%define version 1.10.0
%define release 03sme01
%define image_version 6.5
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
#Patch0: %{name}-%{version}.patch.yyyymmddnn
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: i386
AutoReqProv: no

%changelog
* Sat Dec 18 2004 Shad L. Lords <slords@mail.com>
- [1.10.0-03sme01]
- Build for 6.5

* Fri Jun 27 2003 Charlie Brady <charlieb@e-smith.com>
- [1.10.0-03]
- Build for 6.0rc2+SL. 

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.10.0-02]
- Again for 6.0rc1+SL. [charlieb 8719]

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.10.0-01]
- Changing version to stable stream number - 1.10.0

* Mon Jun  9 2003 Tony Clayton <apc@e-smith.com>
- [1.9.0-04]
- Again for 6.0beta1+SL (with kernel-2.4.20-18.7) [tonyc 8719]

* Fri Jun  6 2003 Tony Clayton <apc@e-smith.com>
- [1.9.0-03]
- Rebuild for 6.0beta1+SL [tonyc 8719]

* Thu Nov  7 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.0-02]
- Remaking package as i386 (as it should have been all along) [charlieb 5237]

* Thu Nov  7 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.0-01]
- Roll development stream to 1.9.0

* Wed Oct 16 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.8.0-05]
- 5.6beta10+SL didn't contain the right boot image [gordonr 4907]

* Wed Oct 16 2002 Tony Clayton <apc@e-smith.com>
- [1.8.0-04]
- Rebuilding for 5.6beta10+SL for real this time [tonyc 4907]

* Tue Oct 15 2002 Tony Clayton <apc@e-smith.com>
- [1.8.0-03]
- Rebuilding for 5.6beta10+SL [tonyc 4907]

* Tue Oct 15 2002 Tony Clayton <apc@e-smith.com>
- [1.8.0-02]
- Rebuilding for 5.6beta9+SL [tonyc 4907]

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.8.0-01]
- Roll to maintained version number to 1.8.0

* Fri Oct 11 2002 Tony Clayton <apc@e-smith.com>
- [1.7.0-08]
- Rebuilding for 5.6beta8+SL [tonyc 4907]

* Thu Oct 10 2002 Tony Clayton <apc@e-smith.com>
- [1.7.0-07]
- Rebuilding again for 5.6beta7+SL [tonyc 4907]

* Thu Oct 10 2002 Tony Clayton <apc@e-smith.com>
- [1.7.0-06]
- Building image for 5.6beta7+SL [tonyc 4907]

* Wed Oct  9 2002 Tony Clayton <apc@e-smith.com>
- [1.7.0-05]
- Building again for 5.6beta6+SL [tonyc 4907]

* Wed Oct  9 2002 Tony Clayton <apc@e-smith.com>
- [1.7.0-04]
- Building image for 5.6beta6+SL version [tonyc 4907]

* Fri Oct  4 2002 Tony Clayton <apc@e-smith.com>
- [1.7.0-03]
- Building image for 5.6beta5+SL version. [tonyc 4907]

* Mon Sep 23 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.0-02]
- Building image for 5.6beta2+SL version. [charlieb 4907]

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.0-01]
- Changing version to development stream number to 1.7.0

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.6.3-01]
- RPM rebuild forced by cvsroot2rpm

* Wed May 15 2002 Tony Clayton <apc@e-smith.com>
- [1.6.2-01]
- update to latest boot image of 5.5beta4+SL [tonyc 3333]

* Mon Jan 14 2002 Tony Clayton <tonyc@e-smith.com>
- [1.6.1-01]
- rollRPM: Rolled version number to 1.6.1-01. Includes patches up to 1.6.0-03.
- update to latest boot image of 5.1.2rc2
- this new image includes megaide driver updates and copyright changes

* Mon Jan 14 2002 Tony Clayton <tonyc@e-smith.com>
- [1.6.0-03]
- reverting to boot image in final 5.1 release
- will roll 1.6.1 stream for 5.1.2 release changes

* Mon Jan 14 2002 Tony Clayton <tonyc@e-smith.com>
- [1.6.0-02]
- update to latest boot image as of 5.1.2rc2 
- this new image includes megaide driver updates and copyright changes

* Tue Dec 11 2001 Adrian Chung <mac@e-smith.com>
- [1.6.0-01]
- rollRPM: Rolled version number to 1.6.0-01. Includes patches up to 1.5.0-01.

* Mon Dec 10 2001 Adrian Chung <adrianc@e-smith.com>
- [1.5.0-01]
- Manually rolling to 1.5.0 for 5.1.

* Fri Aug 17 2001 gordonr
- [1.4.0-02]
- Autorebuild by rebuildRPM

* Wed Aug 8 2001 Charlie Brady <charlieb@e-smith.com>
- [1.4.0-01]
- Rolled version number to 1.4.0-01. Includes patches upto 1.3.0-04.

* Wed Aug 8 2001 Charlie Brady <charlieb@e-smith.com>
- [1.3.0-04]
- Make image version an RPM variable.

- Rolled build back to noarch, not correct, but non-trivial to fix right now
* Tue Aug 7 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.3.0-03]
- Rolled build back to noarch, not correct, but non-trivial to fix right now

* Tue Aug 7 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.3.0-02]
- Changed build to i386

* Tue Aug 7 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.3.0-01]
- Rolled to version 1.3.0
- New boot image for 5.0 installer

* Fri Jul 6 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-04]
- Changed license to GPL
- Reinstated COPYING file

* Mon Feb 12 2001 Adrian Chung <adrianc@e-smith.com>
- [1.2.0-03]
- Creating a new boot-image, needs to be re-synced with new
  installer.

* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- [1.2.0-02]
- Rolling release number for GPG signing.

* Fri Jan 26 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-01]
- Using boot image from 4.1beta4
- Rolled version number to 1.2.0-01. Includes patches upto 1.1.0-02

* Thu Jan 11 2001 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-02]
- New build to grab latest boot image, after some installer changes

* Tue Jan 9 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-01]
- Rolled version number to 1.1.0-01. Includes patches up to 0.3-2

* Sat Jan 06 2001 Charlie Brady <charlieb@e-smith.com>
- Build for 4.1beta3.

* Thu Dec 21 2000 Charlie Brady <charlieb@e-smith.com>
- Rolled version number to 0.3.
- Build for 4.1beta2 - we skipped 4.1beta1, and we are late for beta2!

* Thu Oct 26 2000 Peter Samuel <peters@e-smith.com>
- Rolled version number to 0.2. Includes patches up to 0.1-1
- Fixed install section:
    argument to rm was -r, now -f
    no need to copy BUILD tree as it doesn't exist
    no need to include COPYING in file list as it doesn't exist

* Wed Aug 31 2000 Jason Miller <jay@e-smith.com>
- initial release

%description
e-smith server enhancement to create re-installation diskette

%prep
%setup
mkdir -p $RPM_BUILD_ROOT/etc/e-smith/floppy
chmod 0755 $RPM_BUILD_ROOT/etc/e-smith/floppy
R=~builder/iso/build
cp -af \
    $R/images/boot.img \
    $RPM_BUILD_ROOT/etc/e-smith/floppy

%build

%install
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post
%postun

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
